import Dexie from "dexie";
export type FeedNotificationType = {
    id: string;
    uid: string;
    mid: string;
    operated_id: string;
    action: number;
    sequence: number;
    is_read: number;
    authType: number;
    extra: Record<string, any>;
    create_time: number;
    update_time: number;
};
declare class FeedNotification {
    private store?;
    private storeRead?;
    init(db: Dexie): void;
    bulkPut(items: FeedNotificationType[], isMute?: Boolean): Promise<string | undefined>;
    bulkPutRead(items: FeedNotificationType[]): Promise<string | undefined>;
    bulkGet(page?: number, pageSize?: number): Promise<FeedNotificationType[] | undefined>;
    getSequence(): Promise<number>;
    getUnReadNotifications(): Promise<number>;
    markAllRead(): Promise<string[]>;
    getCounts(): Promise<number>;
    readNotification(ids: string[]): Promise<number | undefined>;
    publishNewNotification(): void;
}
export declare const feedNotification: FeedNotification;
export default feedNotification;
